# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Dependency version if different to this package version
#global depver 2.204

Name:		perl-IO-Compress
Version:	2.213
Release:	1.%{__distinit}%{__distvers}
Summary:	Read and write compressed data
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/IO-Compress
Source0:	https://cpan.metacpan.org/modules/by-module/IO/IO-Compress-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 5.16
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(lib)
# Module Runtime
BuildRequires:	perl(bytes)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Compress::Raw::Bzip2) >= %{?depver}%{!?depver:%{version}}
BuildRequires:	perl(Compress::Raw::Zlib) >= %{?depver}%{!?depver:%{version}}
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(feature)
BuildRequires:	perl(File::Glob)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Time::Local)
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# Script Runtime
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Time::Local)
BuildRequires:	perl(encoding)
BuildRequires:	perl(parent)
# Test Suite (note: Test::More is bundled)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(overload)
# Dual-lived module needs building early in the boot process
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod) >= 1.00
%endif
BuildRequires:	perl(threads::shared)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(encoding)
Requires:	perl(File::Glob)

# This module obsoletes a lot of others
Obsoletes:	perl-Compress-Zlib < %{version}-%{release}
Provides:	perl-Compress-Zlib = %{version}-%{release}
Obsoletes:	perl-IO-Compress-Base < %{version}-%{release}
Provides:	perl-IO-Compress-Base = %{version}-%{release}
Obsoletes:	perl-IO-Compress-Bzip2 < %{version}-%{release}
Provides:	perl-IO-Compress-Bzip2 = %{version}-%{release}
Obsoletes:	perl-IO-Compress-Zlib < %{version}-%{release}
Provides:	perl-IO-Compress-Zlib = %{version}-%{release}

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the zlib and bzip2 libraries.

IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951,
RFC 1952 (i.e. gzip) and zip files/buffers.

The following modules used to be distributed separately, but are now
included with the IO-Compress distribution:
* Compress-Zlib
* IO-Compress-Zlib
* IO-Compress-Bzip2
* IO-Compress-Base

%prep
%setup -q -n IO-Compress-%{version}

# Remove spurious exec permissions
chmod -c -x lib/IO/Uncompress/{Adapter/Identity,RawInflate}.pm
find examples -type f -exec chmod -c -x {} \;

# Fix shellbangs in examples
perl -pi -e 's|^#!/usr/local/bin/perl\b|#!%{__perl}|' examples/io/anycat \
	examples/io/bzip2/* examples/io/gzip/* examples/compress-zlib/*

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
# Build using --with long_tests to enable long-running tests
# that can take around an hour to run on an i7
make test COMPRESS_ZLIB_RUN_%{?_with_long_tests:ALL}%{!?_with_long_tests:MOST}=1

%files
%doc Changes README examples/*
%{_bindir}/streamzip
%{_bindir}/zipdetails
%{perl_vendorlib}/Compress/
%{perl_vendorlib}/File/
%dir %{perl_vendorlib}/IO/
%dir %{perl_vendorlib}/IO/Compress/
%doc %{perl_vendorlib}/IO/Compress/FAQ.pod
%{perl_vendorlib}/IO/Compress.pm
%{perl_vendorlib}/IO/Compress/Adapter/
%{perl_vendorlib}/IO/Compress/Base/
%{perl_vendorlib}/IO/Compress/Base.pm
%{perl_vendorlib}/IO/Compress/Bzip2.pm
%{perl_vendorlib}/IO/Compress/Deflate.pm
%{perl_vendorlib}/IO/Compress/Gzip/
%{perl_vendorlib}/IO/Compress/Gzip.pm
%{perl_vendorlib}/IO/Compress/RawDeflate.pm
%{perl_vendorlib}/IO/Compress/Zip/
%{perl_vendorlib}/IO/Compress/Zip.pm
%{perl_vendorlib}/IO/Compress/Zlib/
%{perl_vendorlib}/IO/Uncompress/
%{_mandir}/man1/streamzip.1*
%{_mandir}/man1/zipdetails.1*
%{_mandir}/man3/Compress::Zlib.3*
%{_mandir}/man3/File::GlobMapper.3*
%{_mandir}/man3/IO::Compress.3*
%{_mandir}/man3/IO::Compress::Base.3*
%{_mandir}/man3/IO::Compress::Bzip2.3*
%{_mandir}/man3/IO::Compress::Deflate.3*
%{_mandir}/man3/IO::Compress::FAQ.3*
%{_mandir}/man3/IO::Compress::Gzip.3*
%{_mandir}/man3/IO::Compress::RawDeflate.3*
%{_mandir}/man3/IO::Compress::Zip.3*
%{_mandir}/man3/IO::Uncompress::AnyInflate.3*
%{_mandir}/man3/IO::Uncompress::AnyUncompress.3*
%{_mandir}/man3/IO::Uncompress::Base.3*
%{_mandir}/man3/IO::Uncompress::Bunzip2.3*
%{_mandir}/man3/IO::Uncompress::Gunzip.3*
%{_mandir}/man3/IO::Uncompress::Inflate.3*
%{_mandir}/man3/IO::Uncompress::RawInflate.3*
%{_mandir}/man3/IO::Uncompress::Unzip.3*

%changelog
* Thu Aug 29 2024 Paul Howarth <paul@city-fan.org> - 2.213-1
- Update to 2.213
  - Add stub module IO/Compress.pm (GH#57)

* Sun Apr 28 2024 Paul Howarth <paul@city-fan.org> - 2.212-1
- Update to 2.212 (no changes, rhbz#2277506)

* Sun Apr  7 2024 Paul Howarth <paul@city-fan.org> - 2.211-1
- Update to 2.211 (no changes, rhbz#2273778)

* Mon Apr  1 2024 Paul Howarth <paul@city-fan.org> - 2.208-1
- Update to 2.208
  - Update zipdetails to version 4.002
    (see https://github.com/pmqs/zipdetails/blob/v4.002/Changes for details)
  - Test cz-14gzopen.t was failing on AFS filesystem (GH#56)

* Wed Feb 21 2024 Paul Howarth <paul@city-fan.org> - 2.207-1
- Update to 2.207
  - Add bin/zipdetails 4.000
  - Fix indirect syntax (GH#51)

* Wed Jul 26 2023 Paul Howarth <paul@city-fan.org> - 2.206-1
- Update to 2.206
  - Fix version checks to use correct method (GH#50)
  - Drop rt.cpan.org from SUPPORT section

* Mon Jul 17 2023 Paul Howarth <paul@city-fan.org> - 2.205-1
- Update to 2.205
  - Add perl 5.38 to CI matrix
  - Add on workflow_dispatch
  - Add some OO examples

* Thu Feb  9 2023 Paul Howarth <paul@city-fan.org> - 2.204-1
- Update to 2.204
  - Update Gzip.pm POD
  - Allow Z_NULL

* Wed Dec 21 2022 Paul Howarth <paul@city-fan.org> - 2.201-3
- Use SPDX-format license tag

* Sat Jun 25 2022 Paul Howarth <paul@city-fan.org> - 2.201-1
- Update to 2.201
  - Disable zlib header tests
  - Documentation update (GH#38)
  - Changes for zlib-ng
  - Add perl 5.36 to test matrix
  - Force streaming zip file when writing to stdout (GH#42)
  - Read zip timestamp in localtime
  - streamzip: Tighten up version tests for failing windows tests (GH#41)
  - streamzip: Update year
  - Use Time::Local instead of POSIX::mktime

* Wed Apr 13 2022 Paul Howarth <paul@city-fan.org> - 2.106-1
- Update to 2.106
  - Sync zipdetails 2.104 from https://github.com/pmqs/zipdetails

* Sun Apr 10 2022 Paul Howarth <paul@city-fan.org> - 2.105-1
- Update to 2.105
  - Remove WeakDecrypt

* Sat Apr  9 2022 Paul Howarth <paul@city-fan.org> - 2.104-1
- Update to 2.104
  - Sync zipdetails 2.100 from https://github.com/pmqs/zipdetails
  - Update date in README
  - WeakDecrypt should not be listed in MANIFEST (GH#39)

* Mon Apr  4 2022 Paul Howarth <paul@city-fan.org> - 2.103-1
- Update to 2.103
  - Fix for inflateSyncs return code change
  - Add constant for ZIP_CM_AES
  - Point links to rfcs to ietf.org (GH#37)
  - Rename test file to fix manifest warning (GH#36)
  - Add perl 5.34 to CI
  - Fix for Calling nextStream on an IO::Uncompress::Zip object in Transparent
    mode dies when input is uncompressed (GH#34)
  - IO::Compress: Generalize for EBCDIC (GH#32)
  - IO::Compress: Fix misspelling in 112utf8-zip.t
  - Update cpanm path on MacOS

* Sun Feb 28 2021 Paul Howarth <paul@city-fan.org> - 2.102-1
- Update to 2.102
  - Add IO_COMPRESS_SKIP_STDIN_TESTS to skip tests on Windows

* Sat Feb 20 2021 Paul Howarth <paul@city-fan.org> - 2.101-1
- Update to 2.101
  - Add xz and zstd compression
  - Add compression level for deflate

* Thu Jan  7 2021 Paul Howarth <paul@city-fan.org> - 2.100-1
- Update to 2.100
  - bin/zipdetails version 2.02
    - Fix bitmask for deflate compression level
    - More fixes for default bitmask
  - Trim whitespace
  - Some POD updates for zstd
  - Fix warnings once in multiple locations (GH#27)
  - Avoid duplicate use statements (GH#26)
  - Avoid using indirect calls (GH#19)

* Sat Aug  1 2020 Paul Howarth <paul@city-fan.org> - 2.096-1
- Update to 2.096
  - Add Zip support for Zstd
  - Add support for Zip/Unzip with XZ compression

* Tue Jul 21 2020 Paul Howarth <paul@city-fan.org> - 2.095-1
- Update to 2.095
  - Add support for Zstandard (zstd) in AnyUncompress

* Tue Jul 14 2020 Paul Howarth <paul@city-fan.org> - 2.094-1
- Update to 2.094
  - Version 2 of the zipdetails script

* Sun Dec  8 2019 Paul Howarth <paul@city-fan.org> - 2.093-1
- Update to 2.093 (no changes)

* Thu Dec  5 2019 Paul Howarth <paul@city-fan.org> - 2.092-1
- Update to 2.092 (no changes)

* Sun Nov 24 2019 Paul Howarth <paul@city-fan.org> - 2.091-1
- Update to 2.091 (no changes)

* Sun Nov 10 2019 Paul Howarth <paul@city-fan.org> - 2.090-1
- Update to 2.090
  - Fix MANIFEST error for streamzip (GH#6)

* Sun Nov  3 2019 Paul Howarth <paul@city-fan.org> - 2.089-1
- Update to 2.089
  - Add streamzip to EXE_FILES

* Sun Nov  3 2019 Paul Howarth <paul@city-fan.org> - 2.088-1
- Update to 2.088
  - t/105oneshot-zip-only.t
    - Fix reset of CompSize
    - Test with deflated directory
    - Add test for encrypted Zip files
  - Add support details in documentation
  - Update site for Bzip2 to sourceware
  - Fix number of tests
  - Add streamzip script to bin
  - zipdetails
    - Update zipdetails to version 1.11
    - Zip64 extra field typo
  - Documentation updates (GH#2)
  - Mention xz, lzma etc. (GH#4)

* Mon Aug 12 2019 Paul Howarth <paul@city-fan.org> - 2.087-1
- Update to 2.087
  - IO::Uncompress::Unzip: nextStream not updating filehandle correctly (GH#3)
  - Added travis and appveyor files for CI in GitHub

* Mon Apr  1 2019 Paul Howarth <paul@city-fan.org> - 2.086-1
- Update to 2.086
  - IO::Compress::Zip and IO::Uncompress::Unzip
    - Added support for Language Encoding Flag via the EFS option; starting
      point was pull request https://github.com/pmqs/IO-Compress/pull/1
  - zipdetails: Some support for MVS (Z390) zip files
  - IO::Uncompress::Base: Issue with trailing data after zip archive
    (CPAN RT#128626)
  - t/cz-14gzopen.t: cperl error found in
    http://www.cpantesters.org/cpan/report/448cafc4-3108-11e9-9b6b-d3d33d7b1231
    Perl: "Not enough arguments for Compress::Zlib::gzopen"
    cperl: "Not enough arguments for subroutine entry Compress::Zlib::gzopen"
  - Handlers being called when optional modules are not installed
    (CPAN RT#128538)
  - Beef up diag when system returns error (CPAN RT#128194)
  - Moved source to github: https://github.com/pmqs/IO-Compress
  - Add META_MERGE to Makefile.PL
  - Added meta-json.t and meta-yaml.t

* Mon Jan  7 2019 Paul Howarth <paul@city-fan.org> - 2.084-1
- Update to 2.084
  - IO::Uncompress::AnyUncompress.pm
    - Added support for IO::Uncompress::Zstd and IO::Uncompress::UnLzip

* Wed Jan  2 2019 Paul Howarth <paul@city-fan.org> - 2.083-1
- Update to 2.083
  - IO::Compress::*
  - IO::Uncompress::*
    - The BinModeIn and BinModeOut options in are now no-ops; ALL files will be
      read/written in binmode
  - IO::Uncompress::Unzip
    - Fixed issue with unzipping a member from a streamed zip file; issue
      triggered by a libreoffice document
    - Added U64::isZero
  - bin/zipdetails
    - Added 'Data Stream Alignment' (tag 0xa11e) to extra fields
  - Compress::Zlib
    - Fix tiny POD error (CPAN RT#125140)

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 2.081-2
- Perl 5.28 rebuild

* Mon Apr  9 2018 Paul Howarth <paul@city-fan.org> - 2.081-1
- Update to 2.081
  - Previous release used $^W instead of use warnings - fixed

* Wed Apr  4 2018 Paul Howarth <paul@city-fan.org> - 2.080-1
- Update to 2.080
  - bin/zipdetails: zipdetails SYNOPSIS section had a typo:
    zipdetaile → zipdetails (CPAN RT#124003)
  - IO::Uncompress::Base.pm: Changes for Archive::Zip::SimpleUnzip
  - bin/zipdetails: Fix issues with zip64 archives
  - bin/zipdetails: Cope with zip archives where there is padding data after
    the compressed payload, e.g. Microsoft appx file
  - File::GlobMapper: File::GlobMapper::$VERSION needed increment; trailing
    whitespace (CPAN RT#120580)
  - t/cz-03zlib-v1.t: valgrind errors fixed in Compress::Raw::Zlib 2.0.75 for
    CPAN RT#121074 (CPAN RT#121076)
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Feb 20 2017 Paul Howarth <paul@city-fan.org> - 2.074-1
- Update to 2.074
  - ISA fixes for c3 (CPAN RT#120239)

* Mon Feb 13 2017 Paul Howarth <paul@city-fan.org> - 2.072-1
- Update to 2.072
  - Fix for Makefile.PL depending on . in @INC (CPAN RT#120084)

* Thu Dec 29 2016 Paul Howarth <paul@city-fan.org> - 2.070-1
- Update to 2.070
  - Fix prototype errors while lazy loading File::GlobMapper (CPAN RT#117675)
  - zipdetails: Avoid loading optional modules from default . (CPAN RT#116538,
    CVE-2016-1238)

* Wed Aug  3 2016 Paul Howarth <paul@city-fan.org> - 2.069-367
- Avoid loading optional modules from default . (CVE-2016-1238)
- BR: perl-generators where available
- Simplify find command using -delete

* Sun Sep 27 2015 Paul Howarth <paul@city-fan.org> - 2.069-1
- Update to 2.069
  - IO::Compress::FAQ - Added a section on bgzip (CPAN RT#103295)
  - IO::Compress::Zip - Zip64 needs to be first in extra field to work around
    a Windows Explorer bug (see
    http://www.info-zip.org/phpBB3/viewtopic.php?f=3&t=440 for details)

* Wed Jan 14 2015 Paul Howarth <paul@city-fan.org> - 2.068-2
- The overload module is only used in the test suite

* Wed Dec 24 2014 Paul Howarth <paul@city-fan.org> - 2.068-1
- Update to 2.068
  - Disable running of some of the slower test harnesses by default;
    COMPRESS_ZLIB_RUN_MOST needs to be set to run them, which makes life more
    bearable on legacy platforms

* Tue Dec  9 2014 Paul Howarth <paul@city-fan.org> - 2.067-1
- Update to 2.067
  - IO::Compress::RawDeflate unnecessarily loads IO::Seekable (CPAN RT#100257)
- Classify buildreqs by usage

* Mon Sep 22 2014 Paul Howarth <paul@city-fan.org> - 2.066-1
- Update to 2.066
  - IO::Uncompress::Gzip
    - Documentation of ExtraFlags stated the XFL values for BEST_COMPRESSION
      and BEST_SPEED use the values 2 and 4 respectively; they should be 4 and
      2 (code for setting XFL was correct)
  - IO::Uncompress::Gunzip
    - Fix regression preventing gunzip to in-memory file handle (CPAN RT#95494)

* Wed Sep  3 2014 Paul Howarth <paul@city-fan.org> - 2.064-310
- Increase release to favour standalone package

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 2.064-3
- Drop %%defattr, redundant since rpm 4.4

* Sun Feb  2 2014 Paul Howarth <paul@city-fan.org> - 2.064-1
- Update to 2.064
  - Use android-compatible flags when calling gzip in
    IO-Compress/t/050interop-gzip.t (CPAN RT#90216)

* Sun Nov  3 2013 Paul Howarth <paul@city-fan.org> - 2.063-1
- Update to 2.063
  - Typo in Compress::Zlib _combine function documentation (CPAN RT#89305)

* Mon Aug 12 2013 Paul Howarth <paul@city-fan.org> - 2.062-1
- Update to 2.062
  - Fix up tests for imminent bleadperl changes (CPAN RT#87335)
  - Typo fixes (CPAN RT#84647)
  - IO::Compress::Gzip test t/100generic-bzip2.t hung on Cygwin (CPAN RT#86814)

* Fri Jul 19 2013 Paul Howarth <paul@city-fan.org> - 2.061-2
- Perl 5.18 rebuild

* Mon May 27 2013 Paul Howarth <paul@city-fan.org> - 2.061-1
- Update to 2.061
  - zipdetails (1.06)
    - Get it to cope with Android 'zipalign' non-standard extra fields; these
      are used to make sure that a non-compressed member starts on a 4 byte
      boundary
  - unzip example with IO::Uncompress::Unzip (CPAN RT#84647)

* Tue Jan  8 2013 Paul Howarth <paul@city-fan.org> - 2.060-1
- Update to 2.060
  - Updated POD
    - CPAN RT#82138: Example code not clear - gunzip() takes filenames!
  - IO::Compress::Base
    - Remove the flush call when opening a filehandle

* Sat Dec 15 2012 Paul Howarth <paul@city-fan.org> - 2.059-1
- Update to 2.059
  - IO::Compress::Base
    - Added "Encode" option (fixes the encoding half of CPAN RT#42656)

* Tue Nov 13 2012 Paul Howarth <paul@city-fan.org> - 2.058-1
- Update to 2.058
  - Fix failing 01misc.t (CPAN RT#81119)

* Sat Nov 10 2012 Paul Howarth <paul@city-fan.org> - 2.057-1
- Update to 2.057
  - IO::Compress::Zip
    - Allow member name and Zip Comment to be "0"
  - IO::Compress::Base::Common
    - Remove "-r" test - the file open will catch this
    - IO::Compress::Base::Common returned that it could not read readable files
      in NFS (CPAN RT#80855)
  - Install to 'site' instead of 'perl' when perl version is 5.11+
    (CPAN RT#79820)
  - General performance improvements
- Add patch to remove failing subtest of 01misc.t

* Mon Aug  6 2012 Paul Howarth <paul@city-fan.org> - 2.055-1
- Update to 2.055
  - FAQ: added a few paragraphs on how to deal with pbzip2 files
    (CPAN RT#77743)
  - Compress::Zip: speed up compress, uncompress, memGzip and memGunzip
    (CPAN RT#77350)
- BR: at least version 1.00 of perl(Test::Pod)
- Don't BR: perl(Test::NoWarnings) or perl(Test::Pod) when bootstrapping
- Don't BR: perl(Test::More) as it's bundled

* Wed Jul  4 2012 Paul Howarth <paul@city-fan.org> - 2.052-3
- BR: perl(constant), perl(IO::File), perl(IO::Handle), perl(IO::Seekable) and
  perl(lib)
- Drop buildreqs for core perl modules that are not dual-lived

* Sun Apr 29 2012 Paul Howarth <paul@city-fan.org> - 2.052-1
- Update to 2.052
  - IO::Compress::Zip: force a ZIP64 archive when it contains ≥ 0xFFFF entries
  - Fix typo in POD (CPAN RT#76130)
- Don't need to remove empty directories from buildroot
- Package examples
- Drop support for old distributions prior to FC-3:
  - Don't need hack to support old File::Path versions
  - Use %%{_fixperms} macro rather than our own chmod incantation
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Don't need to BR: /bin/csh

* Sat Feb 18 2012 Paul Howarth <paul@city-fan.org> - 2.049-1
- Update to 2.049
  - IO::Compress::Zip:
    - Error in t/cz-03zlib-v1.t that caused warnings with 5.15 (Perl RT#110736)

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.048-1
- Update to 2.048
  - Set minimum zlib version to 1.2.0
  - IO::Compress test suite fails with Compress::Raw::Zlib 2.047 and zlib < 1.2.4
    (CPAN RT#74503)
- Drop workarounds for CPAN RT#74503

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.047-1
- Update to 2.047
  - Set minimum Perl version to 5.6
  - IO::Compress::Zip:
    - In one-shot zip, set the Text Flag if "-T" thinks the file is a text file
    - In one-shot mode, wrote mod time and access time in wrong order in the
      "UT" extended field
- Resync Compress::Raw::* dependency versions
- Add buildreqs for core perl modules, which might be dual-lived
- Add patch to work around test failure with zlib < 1.2.4 (CPAN RT#74503)
- BR: perl(version), needed for work-around for CPAN RT#74503

* Mon Dec 19 2011 Paul Howarth <paul@city-fan.org> - 2.046-1
- Update to 2.046
  - Minor update to bin/zipdetails
  - Typo in name of IO::Compress::FAQ.pod
  - IO::Uncompress::Unzip:
    - Example for walking a zip file used eof to control the outer loop; this
      is wrong
  - IO::Compress::Zip:
    - Change default for CanonicalName to false (CPAN RT#72974)
- Freeze Compress::Raw::* dependency versions until next synchronized release

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.045-1
- Update to 2.045
  - Restructured IO::Compress::FAQ.pod

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.044-1
- Update to 2.044
  - Moved FAQ.pod under the lib directory so it can get installed
  - Added bin/zipdetails
  - In IO::Compress::Zip, in one-shot mode, enable Zip64 mode if the input
    file/buffer ≥ 0xFFFFFFFF bytes
  - Update IO::Compress::FAQ
- Use our own chmod incantation rather than the %%{_fixperms} macro to get the
  right permissions for the zipdetails script on old distributions

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> - 2.043-1
- Update to 2.043
  - IO::Compress::Base:
    - Fixed issue that with handling of Zip files with two (or more) entries
      that were STORED; symptom is the first is uncompressed ok but the next
      will terminate early if the size of the file is greater than BlockSize
      (CPAN RT#72548)

* Fri Nov 18 2011 Paul Howarth <paul@city-fan.org> - 2.042-1
- Update to 2.042
  - IO::Compress::Zip:
    - Added exUnixN option to allow creation of the "ux" extra field, which
      allows 32-bit UID/GID to be stored
    - In one-shot mode use exUnixN rather than exUnix2 for the UID/GID
  - IO::Compress::Zlib::Extra::parseExtraField:
    - Fixed bad test for length of ID field (CPAN RT#72329, CPAN RT#72505)

* Sat Oct 29 2011 Paul Howarth <paul@city-fan.org> - 2.040-1
- Update to 2.040
  - t/105oneshot-zip-only.t:
    - CanonicalName test failure on Windows (CPAN RT#68926)
  - IO::Compress::Zip:
    - ExtAttr now populates MSDOS attributes

* Fri Oct 28 2011 Paul Howarth <paul@city-fan.org> - 2.039-1
- Update to 2.039
  - IO::Compress::Zip:
    - Added CanonicalName option (note this option is set to true by default)
    - Added FilterName option
  - IO::Uncompress::Base:
    - Fixed issue where setting $\ would corrupt the uncompressed data
  - t/050interop-*.t:
    - Handle case when external command contains a whitespace (CPAN RT#71335)

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 2.037-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 2.037-1
- Update to 2.037
  - IO::Uncompress:
    - Get globmapper tests working on VMS (CPAN RT#68926)
  - IO::Uncompress::Unzip:
    - Fixed limitation where Streamed Stored content was not supported

* Mon Jun 20 2011 Paul Howarth <paul@city-fan.org> - 2.036-1
- Update to 2.036
  - IO::Compress::Zip and IO::Uncompress::Unzip:
    - Added support for LZMA (method 14) compression/uncompression
      (this requires IO::Compress::Lzma to be installed)
  - IO::Compress::Unzip:
    - Fixed CRC issue when compression is Store or Bzip2 and Strict option is
      set
  - IO::Compress::Zip:
    - Fixed Zip64 issue where the content size is exactly 0xFFFFFFFF

* Sat May  7 2011 Paul Howarth <paul@city-fan.org> - 2.035-1
- Update to 2.035 (fix test failure on Windows - CPAN RT#67931)

* Tue May  3 2011 Paul Howarth <paul@city-fan.org> - 2.034-1
- Update to 2.034
  Compress::Zlib:
  - Silence pod warnings (CPAN RT#64876)
  - Removed duplicate words in pod
  IO::Compress::Base:
  - Fix failure of testsuite when being run in parallel (CPAN RT#56942)
  - Reduce symbol import
  - If the output buffer parameter passed to read has a value of undef, and
    Append mode was specified when the file was opened, and eof is reached,
    then the buffer paramer was left as undef; this is different from when
    Append isn't specified - the buffer parameter is set to an empty string
  - Fix issues with reading a file that contains an empty file that is
    compressed (CPAN RT#67554)
- Update patch for old File::Path versions
- Nobody else likes macros for commands

* Tue Jan 11 2011 Paul Howarth <paul@city-fan.org> - 2.033-1
- Update to 2.033 (fixed typos and spelling errors - Perl RT#81816)

* Fri Jan  7 2011 Paul Howarth <paul@city-fan.org> - 2.032-1
- Update to 2.032
  - IO::Uncompress::Base - fix handling of input files with valid headers but
    corrupt data, which would trigger an infinite loop when using the input
    line operator (CPAN RT#61915)
  - IO::Compress::Gzip - XFL default settings for max compression and fastest
    algorithm were the wrong way around
  - IO::Compress::Base::Common - fix precedence problem in parameter parsing
    code
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep 21 2010 Paul Howarth <paul@city-fan.org> - 2.030-2
- Add build option --with long_tests to enable long-running tests
- Include IO::Compress::FAQ (#634722, CPAN RT#61402)

* Mon Jul 26 2010 Paul Howarth <paul@city-fan.org> - 2.030-1
- Update to 2.030
  - IO::Compress::Zip - updates to documentation
  - IO::Compress::Zip - default value for ExtAttr on Unix changed to 0100644
  - IO::Uncompress::Unzip - reworked the "Name" option and examples in the pod
  - IO::Uncompress::Base - fixed problem with nextStream not returning 0

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 2.027-3
- Rebuild for perl 5.12.1 in Rawhide

* Sat Jun  5 2010 Paul Howarth <paul@city-fan.org> - 2.027-2
- Fix dist tag for RHEL-6 Beta

* Mon Apr 26 2010 Paul Howarth <paul@city-fan.org> - 2.027-1
- Update to 2.027
  - Compress::Zlib - remove autoload code from Zlib.pm (Perl RT#74088)

* Thu Apr  8 2010 Paul Howarth <paul@city-fan.org> - 2.026-1
- Update to 2.026
  - IO::Uncompress::Zip - some updates to documentation
  - IO::Uncompress::Zip - fixed default setting for ExtAttr
- Buildreq at least same versions of Compress::Raw::Zlib/Bzip2

* Sun Mar 28 2010 Paul Howarth <paul@city-fan.org> - 2.025-1
- Update to 2.025
  - IO::Uncompress::Unzip - The "Name" option wasn't documented
  - Allow zlib version check to be disabled (CPAN RT#54510)

* Mon Jan 11 2010 Paul Howarth <paul@city-fan.org> - 2.024-1
- Update to 2.024
  - Compress::Zlib - Get memGunzip & memGzip to set $gzerrno (CPAN RT#47283)
  - Compress::Zlib - Export memGunzip, memGzip and zlib_version (CPAN RT#52992)
  - examples/io/anycat - Use IO::Uncompress::AnyUncompress

* Mon Dec 21 2009 Paul Howarth <paul@city-fan.org> - 2.023-2
- Change obsoletes for old packages such that any version prior to this
  package's version/release is obsoleted, due to bogus versioned packages
  being present in Rawhide and screwing up the 2.015 obsoletes

* Mon Nov 30 2009 Paul Howarth <paul@city-fan.org> - 2.023-1
- Merge together perl-IO-Compress-Base, perl-Compress-Zlib,
  perl-IO-Compress-Zlib, and perl-IO-Compress-Bzip2 to form perl-IO-Compress
- Figure out why some of the tests fail on old distributions, and work
  around the problems
- Dist tag for Rawhide no longer needs special-casing

* Mon May  4 2009 Paul Howarth <paul@city-fan.org> - 2.015-1
- Import from Fedora
- Update to 2.015
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Patch to make the module a regular one even on perl >= 5.9
- Disable globmapper test on RHL9, FC1, FC2 - it appears to tickle a perl bug
  that's fixed even in RHEL3

* Tue Jul 17 2007 Robin Norwood <rnorwood@redhat.com> - 2.005-2
- Bump release to beat F-7 version

* Sun Jul 01 2007 Robin Norwood <rnorwood@redhat.com> - 2.005-1
- Update to 2.005.

* Wed Mar 21 2007 Robin Norwood <rnorwood@redhat.com> - 2.004-1
- Fix some minor issues, and go to 2.004 from upstream

* Tue Feb 13 2007 Robin Norwood <rnorwood@redhat.com> - 2.003-1
- Specfile autogenerated by cpanspec 1.69.1.
